
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>rem、px、em之间的区别以及网页响应式设计写法 / 憋错料</title>

    <meta name="description" content="rem、px、em之间的区别以及网页响应式设计写法 个人收藏用,转载自:http://www.w3cplus.com/css3/define-font-size-with-css3-rem 在Web中使用什么单位来定义页面的字体大小,至今天为止都还在激烈的争论着,有人说PX做为单位好,有人说EM优点多,还有人在说百分比方便,以至于出现了CSS Font-Size: em vs. px vs. pt vs. percent这样的PK大局.不幸的是,仍然有不同的利弊,使各种技术都不太理想,但又无法不去用.真是进也难,退也难呀. 最近在学习em的相关知">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">rem、px、em之间的区别以及网页响应式设计写法</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>个人收藏用，转载自：http://www.w3cplus.com/css3/define-font-size-with-css3-rem</p>
<p>在Web中使用什么<a href="http://www.w3.org/Style/Examples/007/units.en.html" rel="external nofollow noreferrer">单位</a>来定义页面的字体大小，至今天为止都还在激烈的争论着，有人说<a href="http://inamidst.com/stuff/notes/csspx" rel="external nofollow noreferrer">PX</a>做为单位好，有人说<a href="http://jontangerine.com/log/2007/09/the-incredible-em-and-elastic-layouts-with-css" rel="external nofollow noreferrer">EM</a>优点多，还有人在说<a href="http://css-discuss.incutio.com/wiki/Using_Percent" rel="external nofollow noreferrer">百分比</a>方便，以至于出现了<a href="http://kyleschaeffer.com/best-practices/css-font-size-em-vs-px-vs-pt-vs/" rel="external nofollow noreferrer">CSS Font-Size: em vs. px vs. pt vs. percent</a>这样的PK大局。不幸的是，仍然有不同的利弊，使各种技术都不太理想，但又无法不去用。真是进也难，退也难呀。</p>
<p>最近在学习em的相关知识的时候，无意之间让我拾得一宝，就是使用<strong>rem</strong>来设置Web页面的字体大小。让我一下子就来劲了，一口气看完并测试了一回，还真是爽歪歪的呀。师傅说好东西不能吃独食，于我就在这里给大家吹吹这个从没见过的<strong>REM</strong>。</p>
<p>在详细介绍<strong>rem</strong>之前，我们先一起来回顾一下我们常用的两种记量单位，也是备受争论的两个：</p>
<ol>
<li>PX为单位</li>
<li>EM为单位</li>
</ol>
<h4>PX为单位</h4>
<p>在Web页面初期制作中，我们都是使用“px”来设置我们的文本，因为他比较稳定和精确。但是这种方法存在一个问题，当用户在浏览器中浏览我们制作的Web页面时，他改变了浏览器的字体大小，这时会使用我们的Web页面布局被打破。这样对于那些关心自己网站可用性的用户来说，就是一个大问题了。因此，这时就提出了使用“em”来定义Web页面的字体。</p>
<h4>em为单位</h4>
<p>前面也说了，使用是“px”为单位是比较方便，而又一致，但在浏览器中放大或缩放浏览页面时会存在一个问题，要解决这个问题，我们可以使用“em”单位。<a href="http://clagnut.com/about" rel="external nofollow noreferrer">Richard Rutter‘</a>在《<a href="http://clagnut.com/blog/348/" rel="external nofollow noreferrer">How to size text using ems</a>》一文中有做过详细的介绍，追至早一点，<a href="http://www.alistapart.com/authors/r/rrutter" rel="external nofollow noreferrer">Richard Rutter</a>也在《<a href="http://www.alistapart.com/articles/howtosizetextincss/" rel="external nofollow noreferrer">How to Size Text in CSS</a>》中进行过深入的剖析。</p>
<p>这种技术需要一个参考点，一般都是以&lt;body&gt;的“font-size”为基准。比如说我们使用“1em”等于“10px”来改变默认值“1em=16px”，这样一来，我们设置字体大小相当于“14px”时，只需要将其值设置为“1.4em”。</p>
<pre>    body {
                font-size: 62.5%;/*10 ÷ 16 × 100% = 62.5%*/
            }
            h1 {
                font-size: 2.4em; /*2.4em × 10 = 24px */
            }
            p    {
                font-size: 1.4em; /*1.4em × 10 = 14px */
            }
            li {
                font-size: 1.4em; /*1.4 × ? = 14px ? */
            }</pre>
<p>为什么“li”的“1.4em”是不是“14px”将是一个问号呢？如果你了解过“em”后，你会觉得这个问题是多问的。前面也简单的介绍过一回，在使用“em”作单位时，一定需要知道其父元素的设置，因为“em”就是一个相对值，而且是一个相对于父元素的值，其真正的计算公式是：</p>
<p>1 ÷ 父元素的font-size × 需要转换的像素值 = em值</p>
<p>这样的情况下“1.4em”可以是“14px”,也可以是“20px”，或者说是“24px”，总之是一个不确定值，那么解决这样的问题，要么你知道其父元素的值，要么呢在任何子元素中都使用“1em”。这样一来可能又不是我们所需要的方法。</p>
<p>这里我只是简单的介绍了一个这两个单位的使用，具体一点的大家可以参阅：</p>
<ol>
<li><a href="http://kyleschaeffer.com/category/best-practices/" rel="external nofollow noreferrer">Best Practices</a>的站长<a href="http://www.w3cplus.com/css3/kyleschaeffer.com/about-me/" rel="external nofollow noreferrer">Kyle</a>的《<a href="http://kyleschaeffer.com/best-practices/css-font-size-em-vs-px-vs-pt-vs/" rel="external nofollow noreferrer">CSS Font-Size: em vs. px vs. pt vs. percent</a>》</li>
<li><a href="http://www.hubbers.com/index.php/converting-px-into-percentage-and-em-for-relative-css-font-sizes/" rel="external nofollow noreferrer">Converting px into percentage and em for relative CSS font sizes</a></li>
<li><a href="http://css-discuss.incutio.com/wiki/Em_Vs_Percent_Widths" rel="external nofollow noreferrer">Em Vs Percent Widths</a></li>
<li><a href="http://www.guistuff.com/css/css_units.html" rel="external nofollow noreferrer">CSS: Units of Measurement</a></li>
<li><a href="http://webdesign.about.com/bio/Jennifer-Kyrnin-5105.htm" rel="external nofollow noreferrer">Jennifer Kyrnin</a>的<a href="http://webdesign.about.com/cs/typemeasurements/a/aa042803a.htm" rel="external nofollow noreferrer">Using Points, Pixels, Ems, or Percentages for CSS Fonts</a></li>
</ol>
<h4>Rem为单位</h4>
<p><a href="http://www.w3.org/TR/css3-values/" rel="external nofollow noreferrer">CSS3</a>的出现，他同时引进了一些新的<a href="http://www.w3.org/TR/css3-values/#rem-unit" rel="external nofollow noreferrer">单位</a>，包括我们今天所说的<a href="http://www.w3.org/TR/css3-values/#rem-unit" rel="external nofollow noreferrer">rem</a>。在<a href="http://www.w3.org/TR/css3-values/#rem-unit" rel="external nofollow noreferrer">W3C</a>官网上是这样描述<a href="http://www.w3.org/TR/css3-values/#rem-unit" rel="external nofollow noreferrer">rem</a>的——<strong>“font size of the root element”&nbsp;</strong>。下面我们就一起来详细的了解<a href="http://www.w3.org/TR/css3-values/#rem-unit" rel="external nofollow noreferrer">rem</a>。</p>
<p>前面说了“em”是相对于其父元素来设置字体大小的，这样就会存在一个问题，进行任何元素设置，都有可能需要知道他父元素的大小，在我们多次使用时，就会带来无法预知的错误风险。而<a href="http://www.w3.org/TR/css3-values/#rem-unit" rel="external nofollow noreferrer">rem</a>是相对于根元素&lt;html&gt;，这样就意味着，我们只需要在根元素确定一个参考值，，在根元素中设置多大的字体，这完全可以根据您自己的需，大家也可以参考下图：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvY2RuMi53M2NwbHVzLmNvbS9jZG4vZmFyZnV0dXJlL1llNnU1aWlzbnp4UnNmVG5hYWRCaE1qQTJGaXNNZy13UWRUT281aEEzbjQvbXRpbWU6MTM0MTIzNzY4MS9zaXRlcy9kZWZhdWx0L2ZpbGVzL2VtVGFibGUucG5n.jpg"></p>
<p>我们来看一个简单的代码实例：</p>
<pre>            html {font-size: 62.5%;/*10 ÷ 16 × 100% = 62.5%*/}
            body {font-size: 1.4rem;/*1.4 × 10px = 14px */}
            h1 { font-size: 2.4rem;/*2.4 × 10px = 24px*/}</pre>
<p>我在根元素&lt;html&gt;中定义了一个基本字体大小为62.5%（也就是10px。设置这个值主要方便计算，如果没有设置，将是以“16px”为基准 ）。从上面的计算结果，我们使用“rem”就像使用“px”一样的方便，而且同时解决了“px”和“em”两者不同之处。</p>
<h4>浏览器的兼容性</h4>
<p><a href="http://www.w3.org/TR/css3-values/#rem-unit" rel="external nofollow noreferrer">rem</a>是<a href="http://www.w3.org/TR/css3-values/" rel="external nofollow noreferrer">CSS3</a>新引进来的一个度量单位，大家心里肯定会觉得心灰意冷呀，担心浏览器的支持情况。其实大家不用害怕，你可能会惊讶，支持的浏览器还是蛮多的，比如：<a href="http://firefox.com/" rel="external nofollow noreferrer">Mozilla Firefox 3.6+</a>、<a href="http://apple.com/safari/" rel="external nofollow noreferrer">Apple Safari 5+</a>、<a href="http://google.com/chrome" rel="external nofollow noreferrer">Google Chrome</a>、<a href="http://windows.microsoft.com/en-US/internet-explorer/products/ie/home" rel="external nofollow noreferrer">IE9+</a>和<a href="http://www.opera.com/" rel="external nofollow noreferrer">Opera11+</a>。只是可怜的IE6-8无法，你们就把他们当透明了吧，我向来都是如此。</p>
<p>不过使用单位设置字体，可不能完全不考虑IE了，如果你想使用这个REM，但也想兼容IE下的效果，可你可考虑“px”和“rem”一起使用，用"px"来实现IE6-8下的效果，然后使用“Rem”来实现代浏览器的效果。就让IE6-8不能随文字的改变而改变吧，谁让这个Ie6-8这么老呢？哈。。。。大家不仿试试，还蛮有意思，说不定这个就是主流的度量单位了。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-20 12:09:18 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/poi/" title="poi">poi</a>, <a href="https://www.biecuoliao.com/tag/php/" title="php">php</a>, <a href="https://www.biecuoliao.com/tag/%e5%ae%9e%e7%8e%b0/" title="实现">实现</a>, <a href="https://www.biecuoliao.com/tag/and/" title="and">and</a>, <a href="https://www.biecuoliao.com/tag/%e6%97%a0%e6%b3%95/" title="无法">无法</a>, <a href="https://www.biecuoliao.com/tag/rem/" title="rem">rem</a>, <a href="https://www.biecuoliao.com/tag/apple/" title="apple">apple</a>, <a href="https://www.biecuoliao.com/tag/%e9%a1%b5%e9%9d%a2%e5%b8%83%e5%b1%80/" title="页面布局">页面布局</a>, <a href="https://www.biecuoliao.com/tag/%e5%ba%a6%e9%87%8f%e5%8d%95%e4%bd%8d/" title="度量单位">度量单位</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>rem、px、em之间的区别以及网页响应式设计写法的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MBD85Z3.html" rel="bookmark">网页响应式设计简介</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				随着上网设备的推陈出新和技术的快速发展,用于显示网页的环境千差万别.比如手机就有很多种的屏幕尺寸,同时,个人电脑显示器也不断在刷新分辨率的记录.传统的固定宽度(例如960像素)的网页设计已经不能满足各类移动用户浏览网页的个性需求,于是响应式网页设计孕育而生. 最早提出响应式网页设计(Responsive Web Design)的是美国的 Ethan Marcotte,他将三种已有的开发技巧(媒体和媒体查询.流式布局.弹性图片)整合起来,并给其命名.响应式网页设计是能针对任意网页设备对网页内容进行			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MEjlqx0.html" rel="bookmark">CSS中的 REM PX EM</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				px像素(Pixel).相对长度单位.像素px是相对于显示器屏幕分辨率而言的 em是相对长度单位.相对于当前对象内文本的字体尺寸.如当前对行内文本的字体尺寸未被人为设置,则相对于浏览器的默认字体尺寸. em相对于父级元素! 任意浏览器的默认字体高都是16px.所有未经调整的浏览器都符合: 1em=16px.那么12px=0.75em,10px=0.625em.为了简化font-size的换算,需要在css中的body选择器中声明Font-size=62.5%,这就使em值变为 16px*62.5			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/M6z8RXM.html" rel="bookmark">paip&period;自适应网页设计 跟 响应式 设计的区别跟原理and实践总结</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				建立map的方式(其实用的是json实现方式) var a = {}; a[&quot;key1&quot;] = &quot;value1&quot;; a[&quot;key2&quot;] = &quot;value2&quot;; 既然是个map就有检索某个键是否存在的方法,这样写 if (&quot;key1&quot; in a) { // something } else { // something else } 简单的一句话声明map里面的key和value的方式: var a = {'			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MmKOkK3.html" rel="bookmark">响应式设计&plus; rem</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				特点:手机,ipad,PC 所有的终端设备上完美展示: 核心点: //PC端样式调整 @media screen and (max-width: 1024px){ } //平板的宽度 @media screen and (max-width: 980px){ } @media screen and (max-width:720px){ } @media screen and (max-width:640px){ } //手机端 @media screen and (max-width:320px			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MyooeE3.html" rel="bookmark">paip&period;自适应网页设计 跟 响应式 设计方法与工具补充（2）o54</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				#-----响应式 设计框架 Bootstrap比较热门. Foundation 号称是世界上最先进的响应式前端框架. #---绝对不要使用相对地高度...只使用相对地宽度..特别大的布局上... #----------字体的自适应vw 使用em好像不生效... 使用vw走ok....  font-size: 4vw;   适合320*480-----600*900等... 顺便,要有个vmin,最小字体了.贝儿.太小李看不见.. 手动大小窗口,都能自己适合了.. 作者 老哇的爪子 Attila			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3vAdwk0.html" rel="bookmark">学习响应式设计的15个优秀网页作品</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				响应式的网站是指它能够适应客户端的屏幕尺寸,自动响应客户端尺寸变化.响应式设计技术用于创建可在任何设备上进行查看,并可以从桌面电脑屏幕无缝切换到智能手机的网站制作技术.下面这篇文章分享的15个国外优秀网页作品可以帮助你更好的学习响应式设计. 您可能感兴趣的相关文章 15款帮助创建响应式布局的优秀前端框架 经典网页设计:无缝过渡的响应式设计案例 让你的网站瞬间变成响应式的3个简单步骤 经典网页设计:响应式设计的国外购物网站 推荐35个新鲜出炉的响应式 Web 设计实例 Christchurch H			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0eYDqZ0.html" rel="bookmark">未来网页设计的趋势&mdash;&mdash;响应式设计图标</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				说实话,第一次听到&quot;响应式图标&quot;我也觉得怪怪的,正如不久之前,人们为了让图标字体更适合不同设备,而更改它们的大小一样,但是这一想法却让响应式设计以及图标设计有了长足的进步. 他是什么? 响应式设计图标并不是说图标大小会随屏幕尺寸的变动而改变,而是意味着图标会根据自己所处何种设备来改变自身大小.这就意味着屏幕尺寸对图标来说不是那么重要了,因为它能自动调节,它可以变大变小--同一时间,同一屏幕.图标的设计上的差别不会太明显,一般都是细节问题.详细请看下图: 响应式设计图标很重要吗? 随着字			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/47E5K60.html" rel="bookmark">经典网页设计：10个响应式设计的购物网站</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				今天我想与大家分享电子商务主题的网站设计,更精确地说是为设计在线商店提供新思想.每个人都知道移动技术的市场发展迅速,已经很难找到一个人没有手机的人了.响应设计给我们提供了一个巨大的机遇:站点的访问量的增长和销售收入的增加.在今天的收集中,分享10个响应式设计的国外购物网站给大家. 1. Snipcart 2. Bold &amp; Noble 3. Greats Brand 4. Create and customize your own cube 5. The Gadget Flow 6. USM M			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MWA9Ly3.html" rel="bookmark">网页响应式布局</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				如果我们写了个网页想让它在不同屏幕的分辨率.清晰度.屏幕的显示方式(横屏.竖屏)上正常的显示,就需要一种弹性栅格式布局,不同尺寸下弹性适应,响应式布局能达到这个要求. 一:先来说说它的优缺点 优点: 面对不同分辨率设备灵活性强 能够快捷解决多设备显示适应问题 缺点: 兼容各种设备工作量大,效率低下 代码累赘,会出现隐藏无用的元素,加载时间加长 其实这是一种折衷性质的设计解决方案,多方面因素影响而达不到最佳效果 一定程度上改变了网站原有的布局结构,会出现用户混淆的情况 二:接着说说应该去怎么设计响			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/BMzjNOM.html" rel="bookmark" class="title">名词解释</a>
					<div>
						波特率与比特率:比特率(单位时间内传输的二进制位数)=波特率(单位时间内传输的符号数)*单个调制状态对应的二进制位数. vcc.vdd.vss.vee: 1.对于数字电路来说,VCC是电路的供电电压, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/bMo1en3.html" rel="bookmark" class="title">字符串组合求法</a>
					<div>
						题目:输入一个字符串,输出该字符串中字符的所有组合.举个例子,如果输入abc,它的组合有a.b.c.ab.ac.bc.abc. 上面我们详细讨论了如何用递归的思路求字符串的排列.同样,本题也可以用递归 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MBmeRv4.html" rel="bookmark" class="title">路由器琐碎</a>
					<div>
						路由器中可能使用的系统是嵌入式的Linux,常用的进程: web服务器 通过浏览器配置路由的参数 dhcp服务器     为连接到路由的设备配置动态的IP dns客户端     解析域名 cwmp客户 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MBAwrY4.html" rel="bookmark" class="title">IOS 获取设备本地音视频</a>
					<div>
						1.检索音视频 PHFetchOptions *allPhotosOptions; @property (nonatomic, strong) PHFetchResult *assetsFetchRe ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3r2y5w3.html" rel="bookmark" class="title">Java 7的并发编程-Phaser</a>
					<div>
						Java 7的并发包中推出了Phaser,其功能跟CyclicBarrier和CountDownLatch有些重叠,但是提供了更灵活的用法,例如支持动态调整注册任务的数量等.本文在Phaser自带的示 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0enoYa3.html" rel="bookmark" class="title">poj 1088 滑雪</a>
					<div>
						http://poj.org/problem?id=1088 1 #include &lt;cstdio&gt; 2 #include &lt;cstring&gt; 3 #include &lt;a ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MWL29r0.html" rel="bookmark" class="title">vue 用组件的方式渲染树状数据结构新思路</a>
					<div>
						应用场景是这样的,根据客户选择城市(树状结构,大概如下所示):展示到页面,也就是说会与好多层,甚至不确定的情况,一开始选择的方式逐层判断,一层层的遍历,然后后来放弃了,想到了写菜单组件的时候使用过的组 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0lWE5WM.html" rel="bookmark" class="title">使用postman发送数据并构建collections执行测试</a>
					<div>
						1.安装 下载地址:https://www.getpostman.com/.直接安装,成功后在chorme的应用程序中会多出一个Postman.如果无法在google store上直接安装,可以下载. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MXnnLw3.html" rel="bookmark" class="title">树的递归遍历</a>
					<div>
						树是一个由n个有限节点组成并具有层次关系的集合,是一种非线性的数据结构.树是由跟节点和它的子树构成,所以树的定义是递归的.二叉树是树的一种,它的特点是至多有两颗字树,并且二叉树的子树也有左右之分,不能 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0j1lzWM.html" rel="bookmark" class="title">Objective-C之集合对象&lpar;NSSet&comma;NSMutableSet&comma;NSIndexSet&rpar;</a>
					<div>
						NSArray:有序的集合,NSSet:无序的集合,散列存储. 但是NSSet保证数据的唯一性.当插入相同的数据时,不会有任何效果.从内部实现来说是hash表.NSMutableSet是NSSet的子 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0xaR5L3.html" rel="bookmark" class="title">NSException和NSError</a>
					<div>
						NSException和NSError 很多语言将所有非预期(unexpected)错误作为异常抛出,但是Objective-C的异常只用来处理程序错误.当异常抛出时,详细信息都封装在NSExcept ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0YqQaX0.html" rel="bookmark" class="title">网上买手机被骗有办法追回我的钱吗</a>
					<div>
						全国免费报警电话17O9-O11O4OO百度推荐Q(1002732496)网警解决投诉.退货.提现.解冻.认证.账户激活.找回密码.解绑.卡单报警电话17O9O11O4OO防止电话诈骗报警请联系QQ: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0l7zANM.html" rel="bookmark" class="title">url 获取网络资源</a>
					<div>
						public class Url { /** * @param args * @throws IOException */ public static void main(String[] args) ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/41G2Pq0.html" rel="bookmark" class="title">树的遍历总结 （包括递归，非递归），轻松理解后序遍历</a>
					<div>
						参考大神的神作:http://blog.csdn.net/fightforyourdream/article/details/16843303 对于后序遍历,我们理解为将右节点为先的先序遍历翻转,会思 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4N1VW63.html" rel="bookmark" class="title">Salesforce 执行顺序</a>
					<div>
						在服务器上,Salesforce按以下顺序执行: 1,从数据库加载原始记录或初始化一个用于更新插入(upsert)语句的记录. 2,从请求加载新记录的字段值并覆盖旧的值. 如果请求来自一个标准的UI( ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MDj1mw3.html" rel="bookmark" class="title">进程间通信（2）消息队列</a>
					<div>
						消息队列也是一种用于进程间通信的方式,它放在计算机内核中,并由消息队列表示符(类比文件描述符)标识,它由操作系统维护. 消息队列的特点: 1&gt;它支持进程间双向无阻塞的通信. 2&gt;它是面向消 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3ZaAXm0.html" rel="bookmark" class="title">安装CentOS和Win7双系统后时间错乱的解决方法</a>
					<div>
						1. 安装ntpdate yum install ntpdate 2. 拷贝/usr/share/zonesinfo/Shang到 /etc/localtime su cp /usr/share/zo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0a6yVQ3.html" rel="bookmark" class="title">&lbrack;angularJS&rsqb;ng-hide&vert;ng-show切换</a>
					<div>
						&lt;div class=&quot;row ng-scope&quot;&gt; &lt;div class=&quot;col-lg-12&quot;&gt; &lt;h1 class=&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4Ax8Vz3.html" rel="bookmark" class="title">&lbrack;IOS&lowbar;HTML5&rsqb;IOS7下HTML5的各种坑</a>
					<div>
						 这些天 Apple 已经推出了 iOS 7 以及 iPhone 5S 和 iPhone 5C .Apple 面向 web 开发者仅仅发布了 10% 的所需信息,我可以说这是自 1.0 以来,bug  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0k2mZpM.html" rel="bookmark" class="title">利用Python PIL、cPickle读取和保存图像数据库</a>
					<div>
						利用Python PIL.cPickle读取和保存图像数据库  @author:wepon @blog:http://blog.csdn.net/u012162613/article/details/ ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.023 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
